Subject: Re: [PATCH v7 2/6] fsmonitor: relocate socket file if .git directory is remote

From: Junio C Hamano <[email-masked]>
Date: Mon, 19 Sep 2022 10:49:23 -0700

Jeff Hostetler <[email-masked]> writes:

> Aren't we in the middle of a transition from always
> using the global "the_repository" to a passed "r" variable?
> We're getting closer to being able to hide the the global
> symbol, but we're not there yet, right?

We may still have code that works ONLY on the_repository, but
letting a function take "r" and lettin it ignore is worse than
leaving it explicitly limited to the_repository only, no?

> I'm thinking that at as long as the global exists, we are not
> safe to have multiple "struct repository" instances, right?

By itself, Not at all.  It is the code like I am criticizing that
makes it unsafe.

I do not mind adding

	if (!r)
		BUG(...);

at the place you have the "sweep it under the rug" band-aid, though.